# Created by pyp2rpm-3.3.1
%global pypi_name xmpp-backends

%define with_tests 0

Name:           python-%{pypi_name}
Version:        0.8.0
Release:        %mkrel 5
Summary:        A set of classes with common interfaces to communicate with XMPP servers
Group:          Development/Python
License:        GPLv3
URL:            https://github.com/mathiasertl/xmpp-backends
Source0:        https://github.com/mathiasertl/xmpp-backends/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(qxmpp)
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.10.0

%if %with_tests
# For tests
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(django)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(isort)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(sleekxmpp)
BuildRequires:  python3dist(sphinx-autobuild)
BuildRequires:  python3dist(sphinx-rtd-theme)
%endif

%description
A small python library providing a common interface for communicating with the
administration interfaces of various Jabber/XMPP servers.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six) >= 1.10.0

%description -n python3-%{pypi_name}
A small python library providing a common interface for communicating with the
administration interfaces of various Jabber/XMPP servers.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%if %with_tests
%check
tox --skip-missing-interpreters
%endif

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/xmpp_backends
%{python3_sitelib}/xmpp_backends-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 0.8.0-5.mga10
+ Revision: 2036041
- rebuild for python 3.12

* Tue Apr 05 2022 umeabot <umeabot> 0.8.0-4.mga9
+ Revision: 1844178
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 0.8.0-3.mga9
+ Revision: 1779496
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.8.0-2.mga9
+ Revision: 1732716
- Rebuild for python 3.9

* Thu Apr 09 2020 kekepower <kekepower> 0.8.0-1.mga8
+ Revision: 1565715
- Update to version 0.8.0

* Sun Feb 16 2020 umeabot <umeabot> 0.7.0-7.mga8
+ Revision: 1533977
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 0.7.0-6.mga8
+ Revision: 1446260
- rebuild for python3.8
- drop python2 support

* Sun Aug 25 2019 wally <wally> 0.7.0-5.mga8
+ Revision: 1431930
- clean BRs
- skip python2 tests (no more pytest for python2)

* Tue Jan 08 2019 tv <tv> 0.7.0-4.mga7
+ Revision: 1351847
- rebuild with python 3.7
+ kekepower <kekepower>
- Rebuild for Python 3.7

* Wed Oct 17 2018 kekepower <kekepower> 0.7.0-2.mga7
+ Revision: 1321253
- Update to version 0.7.0
- Enable tests

* Fri Sep 21 2018 umeabot <umeabot> 0.6.0-2.mga7
+ Revision: 1290582
- Mageia 7 Mass Rebuild

* Tue May 29 2018 kekepower <kekepower> 0.6.0-1.mga7
+ Revision: 1232995
- imported package python-xmpp-backends

